<ui>
  <toolbar name='SelectToolbar'>
    <toolitem action='EditSelectAll' />
    <toolitem action='EditSelectAllInAllLayers' />
    <toolitem action='EditDeselect' />
    <separator />
    <toolitem action='ObjectRotate90CCW' />
    <toolitem action='ObjectRotate90' />
    <toolitem action='ObjectFlipHorizontally' />
    <toolitem action='ObjectFlipVertically' />
    <separator />
    <toolitem action='SelectionToBack' />
    <toolitem action='SelectionLower' />
    <toolitem action='SelectionRaise' />
    <toolitem action='SelectionToFront' />
    <separator />
    <toolitem action='XAction' />
    <toolitem action='YAction' />
    <toolitem action='WidthAction' />
    <toolitem action='LockAction' />
    <toolitem action='HeightAction' />
    <toolitem action='UnitsAction' />
    <separator />
    <toolitem action='transform_stroke' />
    <toolitem action='transform_corners' />
    <toolitem action='transform_gradient' />
    <toolitem action='transform_pattern' />
  </toolbar>

  <toolbar name='NodeToolbar'>
    <separator />
    <toolitem action='NodeInsertAction'>
      <menu action='NodeInsertActionMenu'>
        <menuitem action='NodeInsertActionMinX' />
        <menuitem action='NodeInsertActionMaxX' />
        <menuitem action='NodeInsertActionMinY' />
        <menuitem action='NodeInsertActionMaxY' />
      </menu>
    </toolitem>
    <toolitem action='NodeDeleteAction' />
    <separator />
    <toolitem action='NodeJoinAction' />
    <toolitem action='NodeBreakAction' />
    <separator />
    <toolitem action='NodeJoinSegmentAction' />
    <toolitem action='NodeDeleteSegmentAction' />
    <separator />
    <toolitem action='NodeCuspAction' />
    <toolitem action='NodeSmoothAction' />
    <toolitem action='NodeSymmetricAction' />
    <toolitem action='NodeAutoAction' />
    <separator />
    <toolitem action='NodeLineAction' />
    <toolitem action='NodeCurveAction' />
    <separator />
    <toolitem action='ObjectToPath' />
    <toolitem action='StrokeToPath' />
    <separator />
    <toolitem action='NodeXAction' />
    <toolitem action='NodeYAction' />
    <toolitem action='NodeUnitsAction' />
    <separator />
    <toolitem action='ObjectEditClipPathAction' />
    <toolitem action='ObjectEditMaskPathAction' />
    <toolitem action='EditNextPathEffectParameter' />
    <separator />
    <toolitem action='NodesShowTransformHandlesAction' />
    <toolitem action='NodesShowHandlesAction' />
    <toolitem action='NodesShowHelperpath' />
  </toolbar>

  <toolbar name='TweakToolbar'>
    <toolitem action='TweakWidthAction' />
    <toolitem action='TweakForceAction' />
    <toolitem action='TweakPressureAction' />
    <separator />
    <toolitem action='TweakModeAction' />
    <separator />
    <toolitem action='TweakFidelityAction' />
    <separator />
    <toolitem action='TweakChannelsLabel' />
    <toolitem action='TweakDoH' />
    <toolitem action='TweakDoS' />
    <toolitem action='TweakDoL' />
    <toolitem action='TweakDoO' />
  </toolbar>

  <toolbar name='SprayToolbar'>
    <toolitem action='SprayModeAction' />
    <separator />
    <toolitem action='SprayWidthAction' />
    <toolitem action='SprayPressureWidthAction' />
    <toolitem action='SprayPopulationAction' />
    <toolitem action='SprayPressurePopulationAction' />
    <separator />
    <toolitem action='SprayRotationAction' />
    <toolitem action='SprayScaleAction' />
    <toolitem action='SprayPressureScaleAction' />
    <separator />
    <toolitem action='SprayStandard_deviationAction' />
    <toolitem action='SprayMeanAction' />
    <separator />
    <toolitem action='SprayOverNoTransparentAction' />
    <toolitem action='SprayOverTransparentAction' />
    <toolitem action='SprayPickNoOverlapAction' />
    <toolitem action='SprayNoOverlapAction' />
    <toolitem action='SprayToolOffsetAction' />
    <separator />
    <toolitem action='SprayPickColorAction' />
    <toolitem action='SprayPickFillAction' />
    <toolitem action='SprayPickStrokeAction' />
    <toolitem action='SprayPickInverseValueAction' />
    <toolitem action='SprayPickCenterAction' />
  </toolbar>

  <toolbar name='ZoomToolbar'>
    <toolitem action='ZoomIn' />
    <toolitem action='ZoomOut' />
    <separator />
    <toolitem action='Zoom1:0' />
    <toolitem action='Zoom1:2' />
    <toolitem action='Zoom2:1' />
    <separator />
    <toolitem action='ZoomSelection' />
    <toolitem action='ZoomDrawing' />
    <toolitem action='ZoomPage' />
    <toolitem action='ZoomPageWidth' />
    <separator />
    <toolitem action='ZoomPrev' />
    <toolitem action='ZoomNext' />
  </toolbar>

  <toolbar name='MeasureToolbar'>
    <toolitem action='MeasureFontSizeAction' />
    <toolitem action='MeasurePrecisionAction' />
    <toolitem action='MeasureScaleAction' />
    <toolitem action='measure_units_label' />
    <toolitem action='MeasureUnitsAction' />
    <separator />
    <toolitem action='MeasureOnlySelected' />
    <toolitem action='MeasureIgnore1stAndLast' />
    <toolitem action='MeasureInBettween' />
    <toolitem action='MeasureShowHidden' />
    <toolitem action='MeasureAllLayers' />
    <separator />
    <toolitem action='MeasureReverse' />
    <toolitem action='MeasureToPhantom' />
    <toolitem action='MeasureToGuides' />
    <toolitem action='MeasureToItem' />
    <toolitem action='MeasureMarkDimension' />
    <toolitem action='MeasureOffsetAction' />
  </toolbar>

  <toolbar name='StarToolbar'>
    <toolitem action='StarStateAction' />
    <toolitem action='FlatAction' />
    <separator />
    <toolitem action='MagnitudeAction' />
    <toolitem action='SpokeAction' />
    <toolitem action='RoundednessAction' />
    <toolitem action='RandomizationAction' />
    <separator />
    <toolitem action='StarResetAction' />
  </toolbar>

  <toolbar name='RectToolbar'>
    <toolitem action='RectStateAction' />
    <toolitem action='RectWidthAction' />
    <toolitem action='RectHeightAction' />
    <toolitem action='RadiusXAction' />
    <toolitem action='RadiusYAction' />
    <toolitem action='RectUnitsAction' />
    <separator />
    <toolitem action='RectResetAction' />
  </toolbar>

  <toolbar name='3DBoxToolbar'>
    <toolitem action='3DBoxAngleXAction' />
    <toolitem action='3DBoxVPXStateAction' />
    <toolitem action='3DBoxAngleYAction' />
    <toolitem action='3DBoxVPYStateAction' />
    <toolitem action='3DBoxAngleZAction' />
    <toolitem action='3DBoxVPZStateAction' />
  </toolbar>

  <toolbar name='SpiralToolbar'>
    <toolitem action='SpiralStateAction' />
    <toolitem action='SpiralRevolutionAction' />
    <toolitem action='SpiralExpansionAction' />
    <toolitem action='SpiralT0Action' />
    <separator />
    <toolitem action='SpiralResetAction' />
  </toolbar>

  <toolbar name='PenToolbar'>
    <toolitem action='FreehandModeActionPen' />
    <separator />
    <toolitem action='FlattenSpiroBsplinePen' />
    <separator />
    <toolitem action='SetPenShapeAction'/>
  </toolbar>

  <toolbar name='PencilToolbar'>
    <toolitem action='FreehandModeActionPencil' />
    <separator />
    <toolitem action='FlattenSpiroBsplinePencil' />
    <separator />
    <toolitem action='PencilPressureAction' />
    <toolitem action='MinPressureAction' />
    <toolitem action='MaxPressureAction' />
    <separator />
    <toolitem action='PencilToleranceAction' />
    <toolitem action='PencilLpeSimplify' />
    <toolitem action='PencilLpeSimplifyFlatten' />
    <separator />
    <toolitem action='SetPencilShapeAction'/>
  </toolbar>

  <toolbar name='CalligraphyToolbar'>
    <separator />
    <toolitem action='SetProfileAction'/>
    <toolitem action='ProfileEditAction'/>
    <separator />
    <toolitem action='CalligraphyWidthAction' />
    <toolitem action='PressureAction' />
    <toolitem action='TraceAction' />
    <toolitem action='ThinningAction' />
    <separator />
    <toolitem action='AngleAction' />
    <toolitem action='TiltAction' />
    <toolitem action='FixationAction' />
    <separator />
    <toolitem action='CapRoundingAction' />
    <separator />
    <toolitem action='TremorAction' />
    <toolitem action='WiggleAction' />
    <toolitem action='MassAction' />
    <separator />
  </toolbar>

  <toolbar name='ArcToolbar'>
    <toolitem action='ArcStateAction' />
    <toolitem action='ArcRadiusXAction' />
    <toolitem action='ArcRadiusYAction' />
    <toolitem action='ArcUnitsAction' />
    <separator />
    <toolitem action='ArcStartAction' />
    <toolitem action='ArcEndAction' />
    <separator />
    <toolitem action='ArcTypeAction' />
    <separator />
    <toolitem action='ArcResetAction' />
    <separator />
  </toolbar>

  <toolbar name='PaintbucketToolbar'>
    <toolitem action='ChannelsAction' />
    <toolitem action='ThresholdAction' />
    <separator />
    <toolitem action='OffsetAction' />
    <toolitem action='PaintbucketUnitsAction' />
    <separator />
    <toolitem action='AutoGapAction' />
    <separator />
    <toolitem action='PaintbucketResetAction' />
  </toolbar>

  <toolbar name='EraserToolbar'>
    <toolitem action='EraserModeAction' />
    <separator />
    <toolitem action='EraserWidthAction' />
    <toolitem action='EraserPressureAction' />
    <separator />
    <toolitem action='EraserThinningAction' />
    <separator />
    <toolitem action='EraserCapRoundingAction' />
    <separator />
    <toolitem action='EraserTremorAction' />
    <separator />
    <toolitem action='EraserMassAction' />
    <separator />
    <toolitem action='EraserBreakAppart' />
  </toolbar>

  <toolbar name='TextToolbar'>
    <toolitem action='TextFontFamilyAction' />
    <toolitem action='TextFontStyleAction' />
    <separator />
    <toolitem action='TextOuterStyleAction' />
    <toolitem action='TextFontSizeAction' />
    <toolitem action='TextLineHeightAction' />
    <toolitem action='TextLineHeightUnitsAction' />
    <toolitem action='TextLineHeightUnsetAction' />
    <toolitem action='TextLineSpacingAction' />
    <separator />
    <toolitem action='TextAlignAction' />
    <separator />
    <toolitem action='TextSuperscriptAction' />
    <toolitem action='TextSubscriptAction' />
    <separator />
    <toolitem action='TextLetterSpacingAction' />
    <toolitem action='TextWordSpacingAction' />
    <toolitem action='TextDxAction' />
    <toolitem action='TextDyAction' />
    <toolitem action='TextRotationAction' />
    <separator />
    <toolitem action='TextWritingModeAction' />
    <toolitem action='TextOrientationAction' />
    <toolitem action='TextDirectionAction' />
  </toolbar>

  <toolbar name='LPEToolToolbar'>
    <toolitem action='LPEToolModeAction' />
    <separator />
    <toolitem action='LPEShowBBoxAction' />
    <toolitem action='LPEBBoxFromSelectionAction' />
    <separator />
    <toolitem action='LPELineSegmentAction' />
    <separator />
    <toolitem action='LPEMeasuringAction' />
    <toolitem action='LPEToolUnitsAction' />
    <separator />
    <toolitem action='LPEOpenLPEDialogAction' />
  </toolbar>

  <toolbar name='GradientToolbar'>
    <toolitem action='GradientNewTypeAction' />
    <toolitem action='GradientNewFillStrokeAction' />
    <separator />
    <toolitem action='GradientSelectGradientAction' />
    <toolitem action='GradientEditLinkAction' />
    <toolitem action='GradientEditReverseAction' />
    <toolitem action='GradientSelectSpreadAction' />
    <separator />
    <toolitem action='GradientStopAction' />
    <toolitem action='GradientEditOffsetAction' />
    <toolitem action='GradientEditAddAction' />
    <toolitem action='GradientEditDeleteAction' />
  </toolbar>

  <toolbar name='MeshToolbar'>
    <toolitem action='MeshNewTypeAction' />
    <toolitem action='MeshNewFillStrokeAction' />
    <toolitem action='MeshRowAction' />
    <toolitem action='MeshColumnAction' />
    <separator />
<!--
    <toolitem action='MeshEditFillAction' />
    <toolitem action='MeshEditStrokeAction' />
    <toolitem action='MeshShowHandlesAction' />
-->
    <toolitem action='MeshToggleSidesAction' />
    <toolitem action='MeshMakeEllipticalAction' />
    <toolitem action='MeshPickColorsAction' />
    <toolitem action='MeshFitInBoundingBoxAction' />
    <separator />
    <toolitem action='MeshShowHandlesAction' />
    <toolitem action='MeshEditFillAction' />
    <toolitem action='MeshEditStrokeAction' />
    <separator />
    <toolitem action='MeshWarningAction' />
    <separator />
    <toolitem action='MeshSmoothAction' />
  </toolbar>

  <toolbar name='DropperToolbar'>
    <toolitem action='DropperOpacityAction' />
    <toolitem action='DropperPickAlphaAction' />
    <toolitem action='DropperSetAlphaAction' />
  </toolbar>

  <toolbar name='ConnectorToolbar'>
    <toolitem action='ConnectorAvoidAction' />
    <toolitem action='ConnectorIgnoreAction' />
    <toolitem action='ConnectorOrthogonalAction' />
    <separator />
    <toolitem action='ConnectorCurvatureAction' />
    <toolitem action='ConnectorSpacingAction' />
    <toolitem action='ConnectorGraphAction' />
    <toolitem action='ConnectorLengthAction' />
    <toolitem action='ConnectorDirectedAction' />
    <toolitem action='ConnectorOverlapAction' />
  </toolbar>

</ui>

